FreeBSD : uwsgi -- a stack-based buffer overflow (a8f25565-109e-11e8-8d41-97657151f8c2)

High Nessus Plugin ID 106813


The remote FreeBSD host is missing a security-related update.


Uwsgi developers report :

It was discovered that the uwsgi_expand_path function in utils.c in Unbit uWSGI, an application container server, has a stack-based buffer overflow via a large directory length that can cause a denial-of-service (application crash) or stack corruption.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 106813

File Name: freebsd_pkg_a8f25565109e11e88d4197657151f8c2.nasl

Version: $Revision: 3.3 $

Type: local

Published: 2018/02/14

Modified: 2018/03/05

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P


Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:uwsgi, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2018/02/13

Vulnerability Publication Date: 2018/02/06

Reference Information

CVE: CVE-2018-6758